#
# spec file for package blt (Version 2.4u)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         blt
Copyright:    1999 - not specified
Group:        Development/Languages/Tcl
Autoreqprov:  on
Version:      2.4u
Release:      53
Summary:      Tk extension
Buildroot:    /var/tmp/%{name}%{version}-root
Source0: BLT%{version}.tar.bz2
Source1: LICENSE
Patch: blt%{version}.dif

%description
An add-on library for Tk. Does not require patching of the Tk and Tcl
libraries. Provides some additional Widgets and Functions.

Authors:
--------
    George Howlett <george.howlett@att.com>

SuSE series: tcl

%prep
%define CPUs %(cat %_sourcedir/CPUs 2>/dev/null || echo 1)
%setup -n %{name}%{version}
cp -a %{SOURCE1} .
%patch
%{?suse_update_config:%{suse_update_config -f cf}}

%build
cd man 
	for f in [[:lower:]]*.man ; do mv $f blt_$f ; done
cd ..
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} 
make -j%CPUs

%install
mkdir -p $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/usr/lib/libBLT*.so
ln -sf libBLT24.so $RPM_BUILD_ROOT/usr/lib/libBLT.so
ln -sf libBLTlite24.so $RPM_BUILD_ROOT/usr/lib/libBLTlite.so

%files
%doc INSTALL MANIFEST README PROBLEMS NEWS LICENSE
%doc html examples
%doc %{_mandir}/mann/*
/usr/bin/blt*
/usr/include/blt*.h
/usr/lib/libBLT*
/usr/lib/blt2.4

%changelog -n blt
* Fri Jul 20 2001 - max@suse.de
- fixed config path given to %%suse_update_config
* Fri Jul 20 2001 - max@suse.de
- new version 2.4u .
- cleaned up spec file.
- using BuildRoot.
- stripping shared libs.
- added license text from C sources as separate doc file.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Dec 19 2000 - max@suse.de
- fixed race condition in src/bltUnixPipe.c
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Sat Nov 25 2000 - schwab@suse.de
- Add unversioned link to versioned shared library.
* Wed Aug 02 2000 - max@suse.de
- added bltsh and some header files to the file list.
- fixes bug #3687
* Mon May 08 2000 - max@suse.de
- new version 2.4q
- works with Tcl/Tk 8.3
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Fri Nov 05 1999 - max@suse.de
- changed tclsh's path to /usr/bin
* Mon Oct 11 1999 - max@suse.de
- new version 2.4j
- moved from /usr/X11R6 to /usr
- ready for the new Tcl/Tk packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 14 1999 - uli@suse.de
- prefixed all man pages with blt_ to avoid conflict with tk
* Wed Jan 13 1999 - uli@suse.de
- update 1.9 -> 2.4g
- rewrote spec file
- moved from /usr to /usr/X11R6
* Mon Mar 02 1998 - ro@suse.de
- fixed include paths for tcl_old tk_old
